Last Comment Bug 527629 - Manual filters no longer are allowed on deferred-from servers
: Manual filters no longer are allowed on deferred-from servers
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1, regression
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.0rc1
Assigned To: Kent James (:rkent)
:
Mentors:
Depends on: 527950
Blocks: 435804
  Show dependency treegraph
 
Reported: 2009-11-09 22:38 PST by Kent James (:rkent)
Modified: 2015-10-04 07:02 PDT (History)
6 users (show)
vseerror: in‑moztrap?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Restore correction of msgFolder for deferred-from servers (982 bytes, patch)
2009-11-10 02:17 PST, Kent James (:rkent)
dmose: review+
dmose: approval‑thunderbird3+
Details | Diff | Splinter Review

Description Kent James (:rkent) 2009-11-09 22:38:53 PST
A critical piece of code was removed in bug 435804 that was needed to enable manual message filters to be run on filters defined on deferred-from POP3 servers. I believe this is an easy fix, and the problem is quite serious for someone who upgrades from TB2, and has a lot of manual filters defined.

STR:

1) Create a local POP3 account deferring to the Local Folders inbox.
2) In Message filters list dialog, select that filter.

Expected (and TB2) behavior: "Run Selected Filters on" is unhidden at bottom of dialog.

Actual behavior: "Run Selected Filters on" is disabled, and only appears when the user selects "Local Folders" (which is the workaround).

I've seen hints of something amiss here, but I only recently realized that this used to work in TB2, which got me looking for the regression. Still I could not find a dup, but I would not be surprised if there is one.

I will be trying to push this into TB3 final release somehow. Patch to follow very soon, after I test for possible ramifications.
Comment 1 Kent James (:rkent) 2009-11-10 02:17:26 PST
Created attachment 411378 [details] [diff] [review]
Restore correction of msgFolder for deferred-from servers

This patch simply adds back the line of code that was in TB2, and was removed in the patch for bug 435804. I've tested it briefly and it works, but I want to think over a little whether anything might have changed that affects this. The code still exists in SeaMonkey and was only removed from Thunderbird during de-rdf, probably believing it was related to setting of uris.
Comment 3 David :Bienvenu 2009-11-10 06:44:58 PST
this looks like the right thing to do...
Comment 4 Kent James (:rkent) 2009-11-10 09:14:44 PST
Comment on attachment 411378 [details] [diff] [review]
Restore correction of msgFolder for deferred-from servers

I could not think of any new issues with this during my personal review, so I'm going for r+a. From a risk perspective, this is a tiny patch that simply adds back code that was inadvertently removed, so I think it is pretty low risk. The effects are also fairly localized. If we don't add this, then people who had used manual filters on POP3 accounts that are deferred (which I think was the default) will see them stop working, and there is no easy way to migrate them to Local Folders.
Comment 5 Dan Mosedale (:dmose) 2009-11-10 14:04:36 PST
Comment on attachment 411378 [details] [diff] [review]
Restore correction of msgFolder for deferred-from servers

r+a=dmose; thanks Kent!
Comment 6 Ludovic Hirlimann [:Usul] 2009-11-11 04:06:45 PST
comm-1.9.1 - changeset - 4336:713153647423 
comm-central - changeset - 4358:60be35e6f4cc 

Any reasons to keep this bug open ?
Comment 7 David :Bienvenu 2009-11-11 07:43:52 PST
I don't think so - resolving fixed with target milestone of 3.0 rc1 - if I've done so in error, rkent can correct me.
Comment 8 Kent James (:rkent) 2009-11-11 07:59:37 PST
(In reply to comment #7)
> I don't think so - resolving fixed with target milestone of 3.0 rc1 - if I've
> done so in error, rkent can correct me.

Sorry, I started having troubles with my internet connection right after I landed the fix. Even had to drive to an internet cafe to make sure it landed without problems.

So yes this is now fixed.
Comment 9 Kent James (:rkent) 2009-11-11 08:02:18 PST
Comment on attachment 411378 [details] [diff] [review]
Restore correction of msgFolder for deferred-from servers

Landed on trunk http://hg.mozilla.org/comm-central/rev/60be35e6f4cc

Landed on branch http://hg.mozilla.org/releases/comm-1.9.1/rev/713153647423

Note You need to log in before you can comment on or make changes to this bug.